# Uses of Interface
com.sun.jdi.request.ThreadStartRequest

Packages that use ThreadStartRequest
Package
Description
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of ThreadStartRequest in com.sun.jdi.request

Methods in com.sun.jdi.request that return ThreadStartRequest
Modifier and Type
Method
Description
`ThreadStartRequest`
EventRequestManager.`createThreadStartRequest()`
Creates a new disabled `ThreadStartRequest`.
Methods in com.sun.jdi.request that return types with arguments of type ThreadStartRequest
Modifier and Type
Method
Description
`List<ThreadStartRequest>`
EventRequestManager.`threadStartRequests()`
Return an unmodifiable list of the enabled and disabled thread start requests.